Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.compiler
Interface IProblem

public interface IProblem

Description of a Java problem, as detected by the compiler or some of the underlying technology reusing the compiler. A problem provides access to:

- its location (originating source file name, source position, line number),
- its message description and a predicate to check its severity (warning or error).
- its ID : an number identifying the very nature of this problem. All possible IDs are listed as constants on this interface.

Note: the compiler produces IProblems internally, which are turned into markers by the JavaBuilder so as to persist problem descriptions. This explains why there is no API allowing to reach IProblem detected when compiling. However, the Java problem markers carry equivalent information to IProblem, in particular their ID (attribute "id") is set to one of the IDs defined on this interface.

Since:
  2.0

Field Summary
`static int` | `AbstractMethodCannotBeOverridden`
`static int` | `AbstractMethodInAbstractClass`
`static int` | `AbstractMethodMustBeImplemented`
`static int` | `AmbiguousConstructor`
`static int` | `AmbiguousConstructorInDefaultConstructor`
`static int` | `AmbiguousConstructorInImplicitConstructorCall`
`static int` | `AmbiguousField`
`static int` | `AmbiguousMethod`
`static int` | `AmbiguousType`
`static int` | `AnonymousClassCannotExtendFinalClass`
`static int` | `ArgumentHidingField` The argument {0} is hiding the field {2}.{3}
`static int` | `ArgumentHidingLocalVariable` The argument {0} is hiding another local variable defined in an enclosing type scope
`static int` | `ArgumentIsNeverUsed`
`static int` | `ArgumentTypeAmbiguous`
`static int` | `ArgumentTypeCannotBeVoid`
`static int` | `ArgumentTypeCannotBeVoidArray`
`static int` | `ArgumentTypeInheritedNameHidesEnclosingName`
`static int` | `ArgumentTypeInternalNameProvided`
`static int` | `ArgumentTypeNotFound`
`static int` | `ArgumentTypeNotVisible`
`static int` | `ArrayConstantsOnlyInArrayInitializers`
`static int` | `ArrayReferenceRequired`
`static int` | `AssignmentHasNoEffect`
`static int` | `BodyForAbstractMethod`
`static int` | `BodyForNativeMethod`
`static int` | `BytecodeExceeds64KLimit`
`static int` | `BytecodeExceeds64KLimitForClinit`
`static int` | `BytecodeExceeds64KLimitForConstructor`
`static int` | `CannotAllocateVoidArray`
`static int` | `CannotDefineDimensionExpressionsWithInit`
`static int` | `CannotDefineInterfaceInLocalType`
`static int` | `CannotDefineStaticInitializerInLocalType`
`static int` | `CannotHideAnInstanceMethodWithAStaticMethod`
`static int` | `CannotImportPackage`
`static int` | `CannotOverrideAStaticMethodWithAnInstanceMethod`
`static int` | `CannotReturnInInitializer`
`static int` | `CannotThrowNull`
`static int` | `CannotThrowType`
`static int` | `CannotUseSuperInCodeSnippet`
`static int` | `ClassExtendFinalClass`
`static int` | `CodeCannotBeReached`
`static int` | `CodeSnippetMissingClass`
`static int` | `CodeSnippetMissingMethod`
`static int` | `ConflictingImport`
`static int` | `ConstructorRelated`
`static int` | `DirectInvocationOfAbstractMethod`
`static int` | `DuplicateBlankFinalFieldInitialization`
`static int` | `DuplicateCase`
`static int` | `DuplicateDefaultCase`
`static int` | `DuplicateField`
`static int` | `DuplicateFinalLocalInitialization`
`static int` | `DuplicateImport`
`static int` | `DuplicateLabel`
`static int` | `DuplicateMethod`
`static int` | `DuplicateModifierForArgument`
`static int` | `DuplicateModifierForField`
`static int` | `DuplicateModifierForMethod`
`static int` | `DuplicateModifierForType`
`static int` | `DuplicateModifierForVariable`
`static int` | `DuplicateNestedType`
`static int` | `DuplicateSuperInterface`
`static int` | `DuplicateTypes`
`static int` | `EmptyControlFlowStatement`
`static int` | `EnclosingInstanceInConstructorCall`
`static int` | `EndOfSource`
`static int` | `ExceptionTypeAmbiguous`
`static int` | `ExceptionTypeInheritedNameHidesEnclosingName`
`static int` | `ExceptionTypeInternalNameProvided`
`static int` | `ExceptionTypeNotFound`
`static int` | `ExceptionTypeNotVisible`
`static int` | `ExpressionShouldBeAVariable`
`static int` | `FieldHidingField` The field {0}.{1} is hiding the field {2}.{3}
`static int` | `FieldHidingLocalVariable` The field {0}.{1} is hiding another local variable defined in an enclosing type scope
`static int` | `FieldRelated`
`static int` | `FieldTypeAmbiguous`
`static int` | `FieldTypeInheritedNameHidesEnclosingName`
`static int` | `FieldTypeInternalNameProvided`
`static int` | `FieldTypeNotFound`
`static int` | `FieldTypeNotVisible`
`static int` | `FinalFieldAssignment`
`static int` | `FinallyMustCompleteNormally`
`static int` | `FinalMethodCannotBeOverridden`
`static int` | `FinalOuterLocalAssignment`
`static int` | `HidingEnclosingType`
`static int` | `HierarchyCircularity`
`static int` | `HierarchyCircularitySelfReference`
`static int` | `HierarchyHasProblems`
`static int` | `IgnoreCategoriesMask` Mask to use in order to filter out the category portion of the problem ID.
`static int` | `IllegalAbstractModifierCombinationForMethod`
`static int` | `IllegalCast`
`static int` | `IllegalDimension`
`static int` | `IllegalEnclosingInstanceSpecification`
`static int` | `IllegalModifierCombinationFinalAbstractForClass`
`static int` | `IllegalModifierCombinationFinalVolatileForField`
`static int` | `IllegalModifierForArgument`
`static int` | `IllegalModifierForClass`
`static int` | `IllegalModifierForField`
`static int` | `IllegalModifierForInterface`
`static int` | `IllegalModifierForInterfaceField`
`static int` | `IllegalModifierForInterfaceMethod`
`static int` | `IllegalModifierForLocalClass`
`static int` | `IllegalModifierForMemberClass`
`static int` | `IllegalModifierForMemberInterface`
`static int` | `IllegalModifierForMethod`
`static int` | `IllegalModifierForVariable`
`static int` | `IllegalPrimitiveOrArrayTypeForEnclosingInstance`
`static int` | `IllegalStaticModifierForMemberType`
`static int` | `IllegalVisibilityModifierCombinationForField`
`static int` | `IllegalVisibilityModifierCombinationForMemberType`
`static int` | `IllegalVisibilityModifierCombinationForMethod`
`static int` | `IllegalVisibilityModifierForInterfaceMemberType`
`static int` | `ImportAmbiguous`
`static int` | `ImportInheritedNameHidesEnclosingName`
`static int` | `ImportInternalNameProvided`
`static int` | `ImportNotFound`
`static int` | `ImportNotVisible`
`static int` | `ImportRelated`
`static int` | `IncompatibleExceptionInInheritedMethodThrowsClause`
`static int` | `IncompatibleExceptionInThrowsClause`
`static int` | `IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod`
`static int` | `IncompatibleReturnType`
`static int` | `IncompatibleReturnTypeForNonInheritedInterfaceMethod`
`static int` | `IncompatibleTypesInConditionalOperator`
`static int` | `IncompatibleTypesInEqualityOperator`
`static int` | `IncorrectEnclosingInstanceReference`
`static int` | `IncorrectSwitchType`
`static int` | `IndirectAccessToStaticField`
`static int` | `IndirectAccessToStaticMethod`
`static int` | `IndirectAccessToStaticType`
`static int` | `InheritedFieldHidesEnclosingName`
`static int` | `InheritedMethodHidesEnclosingName`
`static int` | `InheritedMethodReducesVisibility`
`static int` | `InheritedTypeHidesEnclosingName`
`static int` | `InitializerMustCompleteNormally`
`static int` | `InstanceFieldDuringConstructorInvocation`
`static int` | `InstanceMethodDuringConstructorInvocation`
`static int` | `InterfaceAmbiguous`
`static int` | `InterfaceCannotHaveConstructors`
`static int` | `InterfaceCannotHaveInitializers`
`static int` | `InterfaceInheritedNameHidesEnclosingName`
`static int` | `InterfaceInternalNameProvided`
`static int` | `InterfaceNotFound`
`static int` | `InterfaceNotVisible`
`static int` | `Internal`
`static int` | `InternalTypeNameProvided`
`static int` | `InvalidBreak`
`static int` | `InvalidCatchBlockSequence`
`static int` | `InvalidCharacterConstant`
`static int` | `InvalidClassInstantiation`
`static int` | `InvalidContinue`
`static int` | `InvalidEscape`
`static int` | `InvalidExplicitConstructorCall`
`static int` | `InvalidExpressionAsStatement`
`static int` | `InvalidFloat`
`static int` | `InvalidHexa`
`static int` | `InvalidInput`
`static int` | `InvalidNullToSynchronized`
`static int` | `InvalidOctal`
`static int` | `InvalidOperator`
`static int` | `InvalidParenthesizedExpression`
`static int` | `InvalidTypeExpression`
`static int` | `InvalidTypeToSynchronized`
`static int` | `InvalidUnaryExpression`
`static int` | `InvalidUnicodeEscape`
`static int` | `InvalidVoidExpression`
`static int` | `IsClassPathCorrect`
`static int` | `Javadoc`
`static int` | `JavadocAmbiguousConstructor`
`static int` | `JavadocAmbiguousField`
`static int` | `JavadocAmbiguousMethod`
`static int` | `JavadocAmbiguousMethodReference`
`static int` | `JavadocAmbiguousType`
`static int` | `JavadocDuplicateParamName`
`static int` | `JavadocDuplicateReturnTag`
`static int` | `JavadocDuplicateThrowsClassName`
`static int` | `JavadocInheritedFieldHidesEnclosingName`
`static int` | `JavadocInheritedMethodHidesEnclosingName`
`static int` | `JavadocInheritedNameHidesEnclosingTypeName`
`static int` | `JavadocInternalTypeNameProvided`
`static int` | `JavadocInvalidParamName`
`static int` | `JavadocInvalidSeeArgs`
`static int` | `JavadocInvalidSeeHref`
`static int` | `JavadocInvalidSeeReference`
`static int` | `JavadocInvalidTag`
`static int` | `JavadocInvalidThrowsClass`
`static int` | `JavadocInvalidThrowsClassName`
`static int` | `JavadocMalformedSeeReference`
`static int` | `JavadocMessagePrefix`
`static int` | `JavadocMissing`
`static int` | `JavadocMissingParamName`
`static int` | `JavadocMissingParamTag`
`static int` | `JavadocMissingReturnTag`
`static int` | `JavadocMissingSeeReference`
`static int` | `JavadocMissingThrowsClassName`
`static int` | `JavadocMissingThrowsTag`
`static int` | `JavadocNoMessageSendOnArrayType`
`static int` | `JavadocNoMessageSendOnBaseType`
`static int` | `JavadocNotVisibleConstructor`
`static int` | `JavadocNotVisibleField`
`static int` | `JavadocNotVisibleMethod`
`static int` | `JavadocNotVisibleType`
`static int` | `JavadocParameterMismatch`
`static int` | `JavadocUndefinedConstructor`
`static int` | `JavadocUndefinedField`
`static int` | `JavadocUndefinedMethod`
`static int` | `JavadocUndefinedType`
`static int` | `JavadocUnexpectedTag`
`static int` | `JavadocUnterminatedInlineTag`
`static int` | `JavadocUsingDeprecatedConstructor`
`static int` | `JavadocUsingDeprecatedField`
`static int` | `JavadocUsingDeprecatedMethod`
`static int` | `JavadocUsingDeprecatedType`
`static int` | `LocalVariableHidingField` The local variable {0} is hiding the field {1}.{2}
`static int` | `LocalVariableHidingLocalVariable` The local variable {0} is hiding another local variable defined in an enclosing type scope
`static int` | `LocalVariableIsNeverUsed`
`static int` | `MaskedCatch`
`static int` | `MethodButWithConstructorName`
`static int` | `MethodReducesVisibility`
`static int` | `MethodRelated`
`static int` | `MethodRequiresBody`
`static int` | `MethodReturnsVoid`
`static int` | `MissingEnclosingInstance`
`static int` | `MissingEnclosingInstanceForConstructorCall` Inner types related problems
`static int` | `MissingReturnType`
`static int` | `MissingSemiColon`
`static int` | `MustDefineEitherDimensionExpressionsOrInitializer`
`static int` | `MustSpecifyPackage`
`static int` | `NativeMethodsCannotBeStrictfp`
`static int` | `NeedToEmulateConstructorAccess`
`static int` | `NeedToEmulateFieldReadAccess`
`static int` | `NeedToEmulateFieldWriteAccess`
`static int` | `NeedToEmulateMethodAccess`
`static int` | `NoFieldOnBaseType`
`static int` | `NoImplicitStringConversionForCharArrayExpression`
`static int` | `NoMessageSendOnArrayType`
`static int` | `NoMessageSendOnBaseType`
`static int` | `NonBlankFinalLocalAssignment`
`static int` | `NonConstantExpression`
`static int` | `NonExternalizedStringLiteral`
`static int` | `NonStaticAccessToStaticField`
`static int` | `NonStaticAccessToStaticMethod`
`static int` | `NonStaticFieldFromStaticInvocation`
`static int` | `NotVisibleConstructor`
`static int` | `NotVisibleConstructorInDefaultConstructor`
`static int` | `NotVisibleConstructorInImplicitConstructorCall`
`static int` | `NotVisibleField`
`static int` | `NotVisibleMethod`
`static int` | `NotVisibleType`
`static int` | `NullSourceString`
`static int` | `NumericValueOutOfRange`
`static int` | `ObjectCannotHaveSuperTypes`
`static int` | `ObjectHasNoSuperclass` General type related problems
`static int` | `OuterLocalMustBeFinal`
`static int` | `OverridingDeprecatedMethod`
`static int` | `OverridingNonVisibleMethod`
`static int` | `PackageCollidesWithType`
`static int` | `PackageIsNotExpectedPackage`
`static int` | `ParameterMismatch`
`static int` | `ParsingError`
`static int` | `ParsingErrorDeleteToken`
`static int` | `ParsingErrorDeleteTokens`
`static int` | `ParsingErrorInsertToComplete`
`static int` | `ParsingErrorInsertToCompletePhrase`
`static int` | `ParsingErrorInsertToCompleteScope`
`static int` | `ParsingErrorInsertTokenAfter`
`static int` | `ParsingErrorInsertTokenBefore`
`static int` | `ParsingErrorInvalidToken`
`static int` | `ParsingErrorMergeTokens`
`static int` | `ParsingErrorMisplacedConstruct`
`static int` | `ParsingErrorNoSuggestion`
`static int` | `ParsingErrorNoSuggestionForTokens`
`static int` | `ParsingErrorOnKeyword`
`static int` | `ParsingErrorOnKeywordNoSuggestion`
`static int` | `ParsingErrorReplaceTokens`
`static int` | `ParsingErrorUnexpectedEOF`
`static int` | `PossibleAccidentalBooleanAssignment`
`static int` | `PublicClassMustMatchFileName`
`static int` | `RecursiveConstructorInvocation`
`static int` | `RedefinedArgument`
`static int` | `RedefinedLocal`
`static int` | `ReferenceToForwardField`
`static int` | `ReturnTypeAmbiguous`
`static int` | `ReturnTypeCannotBeVoidArray`
`static int` | `ReturnTypeInheritedNameHidesEnclosingName`
`static int` | `ReturnTypeInternalNameProvided`
`static int` | `ReturnTypeNotFound`
`static int` | `ReturnTypeNotVisible`
`static int` | `ShouldReturnValue`
`static int` | `StaticInheritedMethodConflicts`
`static int` | `StaticMethodRequested`
`static int` | `StringConstantIsExceedingUtf8Limit`
`static int` | `SuperclassAmbiguous`
`static int` | `SuperclassInheritedNameHidesEnclosingName`
`static int` | `SuperclassInternalNameProvided`
`static int` | `SuperclassMustBeAClass`
`static int` | `SuperclassNotFound`
`static int` | `SuperclassNotVisible`
`static int` | `SuperfluousSemicolon`
`static int` | `SuperInterfaceMustBeAnInterface`
`static int` | `Syntax`
`static int` | `Task`
`static int` | `ThisInStaticContext`
`static int` | `ThisSuperDuringConstructorInvocation`
`static int` | `TooManyArgumentSlots`
`static int` | `TooManyArrayDimensions`
`static int` | `TooManyBytesForStringConstant`
`static int` | `TooManyConstantsInConstantPool`
`static int` | `TooManyFields`
`static int` | `TooManyLocalVariableSlots`
`static int` | `TooManyMethods`
`static int` | `TooManySyntheticArgumentSlots`
`static int` | `TypeCollidesWithPackage`
`static int` | `TypeMismatch`
`static int` | `TypeRelated` Problem Categories The high bits of a problem ID contains information about the category of a problem.
`static int` | `Unclassified` ID reserved for referencing an internal error inside the JavaCore implementation which may be surfaced as a problem associated with the compilation unit which caused it to occur.
`static int` | `UndefinedConstructor`
`static int` | `UndefinedConstructorInDefaultConstructor`
`static int` | `UndefinedConstructorInImplicitConstructorCall`
`static int` | `UndefinedField`
`static int` | `UndefinedLabel`
`static int` | `UndefinedMethod`
`static int` | `UndefinedName`
`static int` | `UndefinedType`
`static int` | `UndocumentedEmptyBlock`
`static int` | `UnexpectedStaticModifierForField`
`static int` | `UnexpectedStaticModifierForMethod`
`static int` | `UnhandledException`
`static int` | `UnhandledExceptionInDefaultConstructor`
`static int` | `UnhandledExceptionInImplicitConstructorCall`
`static int` | `UninitializedBlankFinalField`
`static int` | `UninitializedLocalVariable`
`static int` | `UnmatchedBracket`
`static int` | `UnnecessaryArgumentCast`
`static int` | `UnnecessaryCast`
`static int` | `UnnecessaryElse`
`static int` | `UnnecessaryInstanceof`
`static int` | `UnqualifiedFieldAccess`
`static int` | `UnreachableCatch`
`static int` | `UnterminatedComment`
`static int` | `UnterminatedString`
`static int` | `UnusedConstructorDeclaredThrownException`
`static int` | `UnusedImport`
`static int` | `UnusedMethodDeclaredThrownException`
`static int` | `UnusedPrivateConstructor`
`static int` | `UnusedPrivateField`
`static int` | `UnusedPrivateMethod`
`static int` | `UnusedPrivateType`
`static int` | `UseAssertAsAnIdentifier`
`static int` | `UsingDeprecatedConstructor`
`static int` | `UsingDeprecatedField`
`static int` | `UsingDeprecatedMethod`
`static int` | `UsingDeprecatedType`
`static int` | `VariableTypeCannotBeVoid`
`static int` | `VariableTypeCannotBeVoidArray`
`static int` | `VoidMethodReturnsValue`

Method Summary
`String[]` | `getArguments()` Answer back the original arguments recorded into the problem.
`int` | `getID()` Returns the problem id
`String` | `getMessage()` Answer a localized, human-readable message string which describes the problem.
`char[]` | `getOriginatingFileName()` Answer the file name in which the problem was found.
`int` | `getSourceEnd()` Answer the end position of the problem (inclusive), or -1 if unknown.
`int` | `getSourceLineNumber()` Answer the line number in source where the problem begins.
`int` | `getSourceStart()` Answer the start position of the problem (inclusive), or -1 if unknown.
`boolean` | `isError()` Checks the severity to see if the Error bit is set.
`boolean` | `isWarning()` Checks the severity to see if the Error bit is not set.
`void` | `setSourceEnd(int sourceEnd)` Set the end position of the problem (inclusive), or -1 if unknown.
`void` | `setSourceLineNumber(int lineNumber)` Set the line number in source where the problem begins.
`void` | `setSourceStart(int sourceStart)` Set the start position of the problem (inclusive), or -1 if unknown.

Field Detail

### TypeRelated

    public static final int TypeRelated

  Problem Categories The high bits of a problem ID contains information about the category of a problem. For example, (problemID & TypeRelated) != 0, indicates that this problem is type related. A problem category can help to implement custom problem filters. Indeed, when numerous problems are listed, focusing on import related problems first might be relevant. When a problem is tagged as Internal, it means that no change other than a local source code change can fix the corresponding problem.

  See Also:
    Constant Field Values

### FieldRelated

    public static final int FieldRelated

See Also:
  Constant Field Values

### MethodRelated

    public static final int MethodRelated

See Also:
  Constant Field Values

### ConstructorRelated

    public static final int ConstructorRelated

See Also:
  Constant Field Values

### ImportRelated

    public static final int ImportRelated

See Also:
  Constant Field Values

### Internal

    public static final int Internal

See Also:
  Constant Field Values

### Syntax

    public static final int Syntax

See Also:
  Constant Field Values

### Javadoc

    public static final int Javadoc

Since:
  3.0
See Also:
  Constant Field Values

### IgnoreCategoriesMask

    public static final int IgnoreCategoriesMask

  Mask to use in order to filter out the category portion of the problem ID.

  See Also:
    Constant Field Values

### Unclassified

    public static final int Unclassified

  ID reserved for referencing an internal error inside the JavaCore implementation which may be surfaced as a problem associated with the compilation unit which caused it to occur.

  See Also:
    Constant Field Values

### ObjectHasNoSuperclass

    public static final int ObjectHasNoSuperclass

  General type related problems

  See Also:
    Constant Field Values

### UndefinedType

    public static final int UndefinedType

See Also:
  Constant Field Values

### NotVisibleType

    public static final int NotVisibleType

See Also:
  Constant Field Values

### AmbiguousType

    public static final int AmbiguousType

See Also:
  Constant Field Values

### UsingDeprecatedType

    public static final int UsingDeprecatedType

See Also:
  Constant Field Values

### InternalTypeNameProvided

    public static final int InternalTypeNameProvided

See Also:
  Constant Field Values

### UnusedPrivateType

    public static final int UnusedPrivateType

Since:
  2.1
See Also:
  Constant Field Values

### IncompatibleTypesInEqualityOperator

    public static final int IncompatibleTypesInEqualityOperator

See Also:
  Constant Field Values

### IncompatibleTypesInConditionalOperator

    public static final int IncompatibleTypesInConditionalOperator

See Also:
  Constant Field Values

### TypeMismatch

    public static final int TypeMismatch

See Also:
  Constant Field Values

### IndirectAccessToStaticType

    public static final int IndirectAccessToStaticType

Since:
  3.0
See Also:
  Constant Field Values

### MissingEnclosingInstanceForConstructorCall

    public static final int MissingEnclosingInstanceForConstructorCall

  Inner types related problems

  See Also:
    Constant Field Values

### MissingEnclosingInstance

    public static final int MissingEnclosingInstance

See Also:
  Constant Field Values

### IncorrectEnclosingInstanceReference

    public static final int IncorrectEnclosingInstanceReference

See Also:
  Constant Field Values

### IllegalEnclosingInstanceSpecification

    public static final int IllegalEnclosingInstanceSpecification

See Also:
  Constant Field Values

### CannotDefineStaticInitializerInLocalType

    public static final int CannotDefineStaticInitializerInLocalType

See Also:
  Constant Field Values

### OuterLocalMustBeFinal

    public static final int OuterLocalMustBeFinal

See Also:
  Constant Field Values

### CannotDefineInterfaceInLocalType

    public static final int CannotDefineInterfaceInLocalType

See Also:
  Constant Field Values

### IllegalPrimitiveOrArrayTypeForEnclosingInstance

    public static final int IllegalPrimitiveOrArrayTypeForEnclosingInstance

See Also:
  Constant Field Values

### EnclosingInstanceInConstructorCall

    public static final int EnclosingInstanceInConstructorCall

Since:
  2.1
See Also:
  Constant Field Values

### AnonymousClassCannotExtendFinalClass

    public static final int AnonymousClassCannotExtendFinalClass

See Also:
  Constant Field Values

### UndefinedName

    public static final int UndefinedName

See Also:
  Constant Field Values

### UninitializedLocalVariable

    public static final int UninitializedLocalVariable

See Also:
  Constant Field Values

### VariableTypeCannotBeVoid

    public static final int VariableTypeCannotBeVoid

See Also:
  Constant Field Values

### VariableTypeCannotBeVoidArray

    public static final int VariableTypeCannotBeVoidArray

See Also:
  Constant Field Values

### CannotAllocateVoidArray

    public static final int CannotAllocateVoidArray

See Also:
  Constant Field Values

### RedefinedLocal

    public static final int RedefinedLocal

See Also:
  Constant Field Values

### RedefinedArgument

    public static final int RedefinedArgument

See Also:
  Constant Field Values

### DuplicateFinalLocalInitialization

    public static final int DuplicateFinalLocalInitialization

See Also:
  Constant Field Values

### NonBlankFinalLocalAssignment

    public static final int NonBlankFinalLocalAssignment

Since:
  2.1
See Also:
  Constant Field Values

### FinalOuterLocalAssignment

    public static final int FinalOuterLocalAssignment

See Also:
  Constant Field Values

### LocalVariableIsNeverUsed

    public static final int LocalVariableIsNeverUsed

See Also:
  Constant Field Values

### ArgumentIsNeverUsed

    public static final int ArgumentIsNeverUsed

See Also:
  Constant Field Values

### BytecodeExceeds64KLimit

    public static final int BytecodeExceeds64KLimit

See Also:
  Constant Field Values

### BytecodeExceeds64KLimitForClinit

    public static final int BytecodeExceeds64KLimitForClinit

See Also:
  Constant Field Values

### TooManyArgumentSlots

    public static final int TooManyArgumentSlots

See Also:
  Constant Field Values

### TooManyLocalVariableSlots

    public static final int TooManyLocalVariableSlots

See Also:
  Constant Field Values

### TooManySyntheticArgumentSlots

    public static final int TooManySyntheticArgumentSlots

Since:
  2.1
See Also:
  Constant Field Values

### TooManyArrayDimensions

    public static final int TooManyArrayDimensions

Since:
  2.1
See Also:
  Constant Field Values

### BytecodeExceeds64KLimitForConstructor

    public static final int BytecodeExceeds64KLimitForConstructor

Since:
  2.1
See Also:
  Constant Field Values

### UndefinedField

    public static final int UndefinedField

See Also:
  Constant Field Values

### NotVisibleField

    public static final int NotVisibleField

See Also:
  Constant Field Values

### AmbiguousField

    public static final int AmbiguousField

See Also:
  Constant Field Values

### UsingDeprecatedField

    public static final int UsingDeprecatedField

See Also:
  Constant Field Values

### NonStaticFieldFromStaticInvocation

    public static final int NonStaticFieldFromStaticInvocation

See Also:
  Constant Field Values

### ReferenceToForwardField

    public static final int ReferenceToForwardField

See Also:
  Constant Field Values

### NonStaticAccessToStaticField

    public static final int NonStaticAccessToStaticField

Since:
  2.1
See Also:
  Constant Field Values

### UnusedPrivateField

    public static final int UnusedPrivateField

Since:
  2.1
See Also:
  Constant Field Values

### IndirectAccessToStaticField

    public static final int IndirectAccessToStaticField

Since:
  3.0
See Also:
  Constant Field Values

### UnqualifiedFieldAccess

    public static final int UnqualifiedFieldAccess

Since:
  3.0
See Also:
  Constant Field Values

### FinalFieldAssignment

    public static final int FinalFieldAssignment

See Also:
  Constant Field Values

### UninitializedBlankFinalField

    public static final int UninitializedBlankFinalField

See Also:
  Constant Field Values

### DuplicateBlankFinalFieldInitialization

    public static final int DuplicateBlankFinalFieldInitialization

See Also:
  Constant Field Values

### LocalVariableHidingLocalVariable

    public static final int LocalVariableHidingLocalVariable

  The local variable {0} is hiding another local variable defined in an enclosing type scope

  Since:
    3.0
  See Also:
    Constant Field Values

### LocalVariableHidingField

    public static final int LocalVariableHidingField

  The local variable {0} is hiding the field {1}.{2}

  Since:
    3.0
  See Also:
    Constant Field Values

### FieldHidingLocalVariable

    public static final int FieldHidingLocalVariable

  The field {0}.{1} is hiding another local variable defined in an enclosing type scope

  Since:
    3.0
  See Also:
    Constant Field Values

### FieldHidingField

    public static final int FieldHidingField

  The field {0}.{1} is hiding the field {2}.{3}

  Since:
    3.0
  See Also:
    Constant Field Values

### ArgumentHidingLocalVariable

    public static final int ArgumentHidingLocalVariable

  The argument {0} is hiding another local variable defined in an enclosing type scope

  Since:
    3.0
  See Also:
    Constant Field Values

### ArgumentHidingField

    public static final int ArgumentHidingField

  The argument {0} is hiding the field {2}.{3}

  Since:
    3.0
  See Also:
    Constant Field Values

### UndefinedMethod

    public static final int UndefinedMethod

See Also:
  Constant Field Values

### NotVisibleMethod

    public static final int NotVisibleMethod

See Also:
  Constant Field Values

### AmbiguousMethod

    public static final int AmbiguousMethod

See Also:
  Constant Field Values

### UsingDeprecatedMethod

    public static final int UsingDeprecatedMethod

See Also:
  Constant Field Values

### DirectInvocationOfAbstractMethod

    public static final int DirectInvocationOfAbstractMethod

See Also:
  Constant Field Values

### VoidMethodReturnsValue

    public static final int VoidMethodReturnsValue

See Also:
  Constant Field Values

### MethodReturnsVoid

    public static final int MethodReturnsVoid

See Also:
  Constant Field Values

### MethodRequiresBody

    public static final int MethodRequiresBody

See Also:
  Constant Field Values

### ShouldReturnValue

    public static final int ShouldReturnValue

See Also:
  Constant Field Values

### MethodButWithConstructorName

    public static final int MethodButWithConstructorName

See Also:
  Constant Field Values

### MissingReturnType

    public static final int MissingReturnType

See Also:
  Constant Field Values

### BodyForNativeMethod

    public static final int BodyForNativeMethod

See Also:
  Constant Field Values

### BodyForAbstractMethod

    public static final int BodyForAbstractMethod

See Also:
  Constant Field Values

### NoMessageSendOnBaseType

    public static final int NoMessageSendOnBaseType

See Also:
  Constant Field Values

### ParameterMismatch

    public static final int ParameterMismatch

See Also:
  Constant Field Values

### NoMessageSendOnArrayType

    public static final int NoMessageSendOnArrayType

See Also:
  Constant Field Values

### NonStaticAccessToStaticMethod

    public static final int NonStaticAccessToStaticMethod

Since:
  2.1
See Also:
  Constant Field Values

### UnusedPrivateMethod

    public static final int UnusedPrivateMethod

Since:
  2.1
See Also:
  Constant Field Values

### IndirectAccessToStaticMethod

    public static final int IndirectAccessToStaticMethod

Since:
  3.0
See Also:
  Constant Field Values

### UndefinedConstructor

    public static final int UndefinedConstructor

See Also:
  Constant Field Values

### NotVisibleConstructor

    public static final int NotVisibleConstructor

See Also:
  Constant Field Values

### AmbiguousConstructor

    public static final int AmbiguousConstructor

See Also:
  Constant Field Values

### UsingDeprecatedConstructor

    public static final int UsingDeprecatedConstructor

See Also:
  Constant Field Values

### UnusedPrivateConstructor

    public static final int UnusedPrivateConstructor

Since:
  2.1
See Also:
  Constant Field Values

### InstanceFieldDuringConstructorInvocation

    public static final int InstanceFieldDuringConstructorInvocation

See Also:
  Constant Field Values

### InstanceMethodDuringConstructorInvocation

    public static final int InstanceMethodDuringConstructorInvocation

See Also:
  Constant Field Values

### RecursiveConstructorInvocation

    public static final int RecursiveConstructorInvocation

See Also:
  Constant Field Values

### ThisSuperDuringConstructorInvocation

    public static final int ThisSuperDuringConstructorInvocation

See Also:
  Constant Field Values

### InvalidExplicitConstructorCall

    public static final int InvalidExplicitConstructorCall

Since:
  3.0
See Also:
  Constant Field Values

### UndefinedConstructorInDefaultConstructor

    public static final int UndefinedConstructorInDefaultConstructor

See Also:
  Constant Field Values

### NotVisibleConstructorInDefaultConstructor

    public static final int NotVisibleConstructorInDefaultConstructor

See Also:
  Constant Field Values

### AmbiguousConstructorInDefaultConstructor

    public static final int AmbiguousConstructorInDefaultConstructor

See Also:
  Constant Field Values

### UndefinedConstructorInImplicitConstructorCall

    public static final int UndefinedConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

### NotVisibleConstructorInImplicitConstructorCall

    public static final int NotVisibleConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

### AmbiguousConstructorInImplicitConstructorCall

    public static final int AmbiguousConstructorInImplicitConstructorCall

See Also:
  Constant Field Values

### UnhandledExceptionInDefaultConstructor

    public static final int UnhandledExceptionInDefaultConstructor

See Also:
  Constant Field Values

### UnhandledExceptionInImplicitConstructorCall

    public static final int UnhandledExceptionInImplicitConstructorCall

See Also:
  Constant Field Values

### ArrayReferenceRequired

    public static final int ArrayReferenceRequired

See Also:
  Constant Field Values

### NoImplicitStringConversionForCharArrayExpression

    public static final int NoImplicitStringConversionForCharArrayExpression

See Also:
  Constant Field Values

### StringConstantIsExceedingUtf8Limit

    public static final int StringConstantIsExceedingUtf8Limit

See Also:
  Constant Field Values

### NonConstantExpression

    public static final int NonConstantExpression

See Also:
  Constant Field Values

### NumericValueOutOfRange

    public static final int NumericValueOutOfRange

See Also:
  Constant Field Values

### IllegalCast

    public static final int IllegalCast

See Also:
  Constant Field Values

### InvalidClassInstantiation

    public static final int InvalidClassInstantiation

See Also:
  Constant Field Values

### CannotDefineDimensionExpressionsWithInit

    public static final int CannotDefineDimensionExpressionsWithInit

See Also:
  Constant Field Values

### MustDefineEitherDimensionExpressionsOrInitializer

    public static final int MustDefineEitherDimensionExpressionsOrInitializer

See Also:
  Constant Field Values

### InvalidOperator

    public static final int InvalidOperator

See Also:
  Constant Field Values

### CodeCannotBeReached

    public static final int CodeCannotBeReached

See Also:
  Constant Field Values

### CannotReturnInInitializer

    public static final int CannotReturnInInitializer

See Also:
  Constant Field Values

### InitializerMustCompleteNormally

    public static final int InitializerMustCompleteNormally

See Also:
  Constant Field Values

### InvalidVoidExpression

    public static final int InvalidVoidExpression

See Also:
  Constant Field Values

### MaskedCatch

    public static final int MaskedCatch

See Also:
  Constant Field Values

### DuplicateDefaultCase

    public static final int DuplicateDefaultCase

See Also:
  Constant Field Values

### UnreachableCatch

    public static final int UnreachableCatch

See Also:
  Constant Field Values

### UnhandledException

    public static final int UnhandledException

See Also:
  Constant Field Values

### IncorrectSwitchType

    public static final int IncorrectSwitchType

See Also:
  Constant Field Values

### DuplicateCase

    public static final int DuplicateCase

See Also:
  Constant Field Values

### DuplicateLabel

    public static final int DuplicateLabel

See Also:
  Constant Field Values

### InvalidBreak

    public static final int InvalidBreak

See Also:
  Constant Field Values

### InvalidContinue

    public static final int InvalidContinue

See Also:
  Constant Field Values

### UndefinedLabel

    public static final int UndefinedLabel

See Also:
  Constant Field Values

### InvalidTypeToSynchronized

    public static final int InvalidTypeToSynchronized

See Also:
  Constant Field Values

### InvalidNullToSynchronized

    public static final int InvalidNullToSynchronized

See Also:
  Constant Field Values

### CannotThrowNull

    public static final int CannotThrowNull

See Also:
  Constant Field Values

### AssignmentHasNoEffect

    public static final int AssignmentHasNoEffect

Since:
  2.1
See Also:
  Constant Field Values

### PossibleAccidentalBooleanAssignment

    public static final int PossibleAccidentalBooleanAssignment

Since:
  3.0
See Also:
  Constant Field Values

### SuperfluousSemicolon

    public static final int SuperfluousSemicolon

Since:
  3.0
See Also:
  Constant Field Values

### UnnecessaryCast

    public static final int UnnecessaryCast

Since:
  3.0
See Also:
  Constant Field Values

### UnnecessaryArgumentCast

    public static final int UnnecessaryArgumentCast

Since:
  3.0
See Also:
  Constant Field Values

### UnnecessaryInstanceof

    public static final int UnnecessaryInstanceof

Since:
  3.0
See Also:
  Constant Field Values

### FinallyMustCompleteNormally

    public static final int FinallyMustCompleteNormally

Since:
  3.0
See Also:
  Constant Field Values

### UnusedMethodDeclaredThrownException

    public static final int UnusedMethodDeclaredThrownException

Since:
  3.0
See Also:
  Constant Field Values

### UnusedConstructorDeclaredThrownException

    public static final int UnusedConstructorDeclaredThrownException

Since:
  3.0
See Also:
  Constant Field Values

### InvalidCatchBlockSequence

    public static final int InvalidCatchBlockSequence

Since:
  3.0
See Also:
  Constant Field Values

### EmptyControlFlowStatement

    public static final int EmptyControlFlowStatement

Since:
  3.0
See Also:
  Constant Field Values

### UnnecessaryElse

    public static final int UnnecessaryElse

Since:
  3.0
See Also:
  Constant Field Values

### NeedToEmulateFieldReadAccess

    public static final int NeedToEmulateFieldReadAccess

See Also:
  Constant Field Values

### NeedToEmulateFieldWriteAccess

    public static final int NeedToEmulateFieldWriteAccess

See Also:
  Constant Field Values

### NeedToEmulateMethodAccess

    public static final int NeedToEmulateMethodAccess

See Also:
  Constant Field Values

### NeedToEmulateConstructorAccess

    public static final int NeedToEmulateConstructorAccess

See Also:
  Constant Field Values

### InheritedMethodHidesEnclosingName

    public static final int InheritedMethodHidesEnclosingName

See Also:
  Constant Field Values

### InheritedFieldHidesEnclosingName

    public static final int InheritedFieldHidesEnclosingName

See Also:
  Constant Field Values

### InheritedTypeHidesEnclosingName

    public static final int InheritedTypeHidesEnclosingName

See Also:
  Constant Field Values

### ThisInStaticContext

    public static final int ThisInStaticContext

See Also:
  Constant Field Values

### StaticMethodRequested

    public static final int StaticMethodRequested

See Also:
  Constant Field Values

### IllegalDimension

    public static final int IllegalDimension

See Also:
  Constant Field Values

### InvalidTypeExpression

    public static final int InvalidTypeExpression

See Also:
  Constant Field Values

### ParsingError

    public static final int ParsingError

See Also:
  Constant Field Values

### ParsingErrorNoSuggestion

    public static final int ParsingErrorNoSuggestion

See Also:
  Constant Field Values

### InvalidUnaryExpression

    public static final int InvalidUnaryExpression

See Also:
  Constant Field Values

### InterfaceCannotHaveConstructors

    public static final int InterfaceCannotHaveConstructors

See Also:
  Constant Field Values

### ArrayConstantsOnlyInArrayInitializers

    public static final int ArrayConstantsOnlyInArrayInitializers

See Also:
  Constant Field Values

### ParsingErrorOnKeyword

    public static final int ParsingErrorOnKeyword

See Also:
  Constant Field Values

### ParsingErrorOnKeywordNoSuggestion

    public static final int ParsingErrorOnKeywordNoSuggestion

See Also:
  Constant Field Values

### UnmatchedBracket

    public static final int UnmatchedBracket

See Also:
  Constant Field Values

### NoFieldOnBaseType

    public static final int NoFieldOnBaseType

See Also:
  Constant Field Values

### InvalidExpressionAsStatement

    public static final int InvalidExpressionAsStatement

See Also:
  Constant Field Values

### ExpressionShouldBeAVariable

    public static final int ExpressionShouldBeAVariable

Since:
  2.1
See Also:
  Constant Field Values

### MissingSemiColon

    public static final int MissingSemiColon

Since:
  2.1
See Also:
  Constant Field Values

### InvalidParenthesizedExpression

    public static final int InvalidParenthesizedExpression

Since:
  2.1
See Also:
  Constant Field Values

### ParsingErrorInsertTokenBefore

    public static final int ParsingErrorInsertTokenBefore

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorInsertTokenAfter

    public static final int ParsingErrorInsertTokenAfter

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorDeleteToken

    public static final int ParsingErrorDeleteToken

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorDeleteTokens

    public static final int ParsingErrorDeleteTokens

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorMergeTokens

    public static final int ParsingErrorMergeTokens

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorInvalidToken

    public static final int ParsingErrorInvalidToken

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorMisplacedConstruct

    public static final int ParsingErrorMisplacedConstruct

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorReplaceTokens

    public static final int ParsingErrorReplaceTokens

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorNoSuggestionForTokens

    public static final int ParsingErrorNoSuggestionForTokens

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorUnexpectedEOF

    public static final int ParsingErrorUnexpectedEOF

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorInsertToComplete

    public static final int ParsingErrorInsertToComplete

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorInsertToCompleteScope

    public static final int ParsingErrorInsertToCompleteScope

Since:
  3.0
See Also:
  Constant Field Values

### ParsingErrorInsertToCompletePhrase

    public static final int ParsingErrorInsertToCompletePhrase

Since:
  3.0
See Also:
  Constant Field Values

### EndOfSource

    public static final int EndOfSource

See Also:
  Constant Field Values

### InvalidHexa

    public static final int InvalidHexa

See Also:
  Constant Field Values

### InvalidOctal

    public static final int InvalidOctal

See Also:
  Constant Field Values

### InvalidCharacterConstant

    public static final int InvalidCharacterConstant

See Also:
  Constant Field Values

### InvalidEscape

    public static final int InvalidEscape

See Also:
  Constant Field Values

### InvalidInput

    public static final int InvalidInput

See Also:
  Constant Field Values

### InvalidUnicodeEscape

    public static final int InvalidUnicodeEscape

See Also:
  Constant Field Values

### InvalidFloat

    public static final int InvalidFloat

See Also:
  Constant Field Values

### NullSourceString

    public static final int NullSourceString

See Also:
  Constant Field Values

### UnterminatedString

    public static final int UnterminatedString

See Also:
  Constant Field Values

### UnterminatedComment

    public static final int UnterminatedComment

See Also:
  Constant Field Values

### InterfaceCannotHaveInitializers

    public static final int InterfaceCannotHaveInitializers

See Also:
  Constant Field Values

### DuplicateModifierForType

    public static final int DuplicateModifierForType

See Also:
  Constant Field Values

### IllegalModifierForClass

    public static final int IllegalModifierForClass

See Also:
  Constant Field Values

### IllegalModifierForInterface

    public static final int IllegalModifierForInterface

See Also:
  Constant Field Values

### IllegalModifierForMemberClass

    public static final int IllegalModifierForMemberClass

See Also:
  Constant Field Values

### IllegalModifierForMemberInterface

    public static final int IllegalModifierForMemberInterface

See Also:
  Constant Field Values

### IllegalModifierForLocalClass

    public static final int IllegalModifierForLocalClass

See Also:
  Constant Field Values

### IllegalModifierCombinationFinalAbstractForClass

    public static final int IllegalModifierCombinationFinalAbstractForClass

See Also:
  Constant Field Values

### IllegalVisibilityModifierForInterfaceMemberType

    public static final int IllegalVisibilityModifierForInterfaceMemberType

See Also:
  Constant Field Values

### IllegalVisibilityModifierCombinationForMemberType

    public static final int IllegalVisibilityModifierCombinationForMemberType

See Also:
  Constant Field Values

### IllegalStaticModifierForMemberType

    public static final int IllegalStaticModifierForMemberType

See Also:
  Constant Field Values

### SuperclassMustBeAClass

    public static final int SuperclassMustBeAClass

See Also:
  Constant Field Values

### ClassExtendFinalClass

    public static final int ClassExtendFinalClass

See Also:
  Constant Field Values

### DuplicateSuperInterface

    public static final int DuplicateSuperInterface

See Also:
  Constant Field Values

### SuperInterfaceMustBeAnInterface

    public static final int SuperInterfaceMustBeAnInterface

See Also:
  Constant Field Values

### HierarchyCircularitySelfReference

    public static final int HierarchyCircularitySelfReference

See Also:
  Constant Field Values

### HierarchyCircularity

    public static final int HierarchyCircularity

See Also:
  Constant Field Values

### HidingEnclosingType

    public static final int HidingEnclosingType

See Also:
  Constant Field Values

### DuplicateNestedType

    public static final int DuplicateNestedType

See Also:
  Constant Field Values

### CannotThrowType

    public static final int CannotThrowType

See Also:
  Constant Field Values

### PackageCollidesWithType

    public static final int PackageCollidesWithType

See Also:
  Constant Field Values

### TypeCollidesWithPackage

    public static final int TypeCollidesWithPackage

See Also:
  Constant Field Values

### DuplicateTypes

    public static final int DuplicateTypes

See Also:
  Constant Field Values

### IsClassPathCorrect

    public static final int IsClassPathCorrect

See Also:
  Constant Field Values

### PublicClassMustMatchFileName

    public static final int PublicClassMustMatchFileName

See Also:
  Constant Field Values

### MustSpecifyPackage

    public static final int MustSpecifyPackage

See Also:
  Constant Field Values

### HierarchyHasProblems

    public static final int HierarchyHasProblems

See Also:
  Constant Field Values

### PackageIsNotExpectedPackage

    public static final int PackageIsNotExpectedPackage

See Also:
  Constant Field Values

### ObjectCannotHaveSuperTypes

    public static final int ObjectCannotHaveSuperTypes

Since:
  2.1
See Also:
  Constant Field Values

### SuperclassNotFound

    public static final int SuperclassNotFound

See Also:
  Constant Field Values

### SuperclassNotVisible

    public static final int SuperclassNotVisible

See Also:
  Constant Field Values

### SuperclassAmbiguous

    public static final int SuperclassAmbiguous

See Also:
  Constant Field Values

### SuperclassInternalNameProvided

    public static final int SuperclassInternalNameProvided

See Also:
  Constant Field Values

### SuperclassInheritedNameHidesEnclosingName

    public static final int SuperclassInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### InterfaceNotFound

    public static final int InterfaceNotFound

See Also:
  Constant Field Values

### InterfaceNotVisible

    public static final int InterfaceNotVisible

See Also:
  Constant Field Values

### InterfaceAmbiguous

    public static final int InterfaceAmbiguous

See Also:
  Constant Field Values

### InterfaceInternalNameProvided

    public static final int InterfaceInternalNameProvided

See Also:
  Constant Field Values

### InterfaceInheritedNameHidesEnclosingName

    public static final int InterfaceInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### DuplicateField

    public static final int DuplicateField

See Also:
  Constant Field Values

### DuplicateModifierForField

    public static final int DuplicateModifierForField

See Also:
  Constant Field Values

### IllegalModifierForField

    public static final int IllegalModifierForField

See Also:
  Constant Field Values

### IllegalModifierForInterfaceField

    public static final int IllegalModifierForInterfaceField

See Also:
  Constant Field Values

### IllegalVisibilityModifierCombinationForField

    public static final int IllegalVisibilityModifierCombinationForField

See Also:
  Constant Field Values

### IllegalModifierCombinationFinalVolatileForField

    public static final int IllegalModifierCombinationFinalVolatileForField

See Also:
  Constant Field Values

### UnexpectedStaticModifierForField

    public static final int UnexpectedStaticModifierForField

See Also:
  Constant Field Values

### FieldTypeNotFound

    public static final int FieldTypeNotFound

See Also:
  Constant Field Values

### FieldTypeNotVisible

    public static final int FieldTypeNotVisible

See Also:
  Constant Field Values

### FieldTypeAmbiguous

    public static final int FieldTypeAmbiguous

See Also:
  Constant Field Values

### FieldTypeInternalNameProvided

    public static final int FieldTypeInternalNameProvided

See Also:
  Constant Field Values

### FieldTypeInheritedNameHidesEnclosingName

    public static final int FieldTypeInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### DuplicateMethod

    public static final int DuplicateMethod

See Also:
  Constant Field Values

### IllegalModifierForArgument

    public static final int IllegalModifierForArgument

See Also:
  Constant Field Values

### DuplicateModifierForMethod

    public static final int DuplicateModifierForMethod

See Also:
  Constant Field Values

### IllegalModifierForMethod

    public static final int IllegalModifierForMethod

See Also:
  Constant Field Values

### IllegalModifierForInterfaceMethod

    public static final int IllegalModifierForInterfaceMethod

See Also:
  Constant Field Values

### IllegalVisibilityModifierCombinationForMethod

    public static final int IllegalVisibilityModifierCombinationForMethod

See Also:
  Constant Field Values

### UnexpectedStaticModifierForMethod

    public static final int UnexpectedStaticModifierForMethod

See Also:
  Constant Field Values

### IllegalAbstractModifierCombinationForMethod

    public static final int IllegalAbstractModifierCombinationForMethod

See Also:
  Constant Field Values

### AbstractMethodInAbstractClass

    public static final int AbstractMethodInAbstractClass

See Also:
  Constant Field Values

### ArgumentTypeCannotBeVoid

    public static final int ArgumentTypeCannotBeVoid

See Also:
  Constant Field Values

### ArgumentTypeCannotBeVoidArray

    public static final int ArgumentTypeCannotBeVoidArray

See Also:
  Constant Field Values

### ReturnTypeCannotBeVoidArray

    public static final int ReturnTypeCannotBeVoidArray

See Also:
  Constant Field Values

### NativeMethodsCannotBeStrictfp

    public static final int NativeMethodsCannotBeStrictfp

See Also:
  Constant Field Values

### DuplicateModifierForArgument

    public static final int DuplicateModifierForArgument

See Also:
  Constant Field Values

### ArgumentTypeNotFound

    public static final int ArgumentTypeNotFound

See Also:
  Constant Field Values

### ArgumentTypeNotVisible

    public static final int ArgumentTypeNotVisible

See Also:
  Constant Field Values

### ArgumentTypeAmbiguous

    public static final int ArgumentTypeAmbiguous

See Also:
  Constant Field Values

### ArgumentTypeInternalNameProvided

    public static final int ArgumentTypeInternalNameProvided

See Also:
  Constant Field Values

### ArgumentTypeInheritedNameHidesEnclosingName

    public static final int ArgumentTypeInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### ExceptionTypeNotFound

    public static final int ExceptionTypeNotFound

See Also:
  Constant Field Values

### ExceptionTypeNotVisible

    public static final int ExceptionTypeNotVisible

See Also:
  Constant Field Values

### ExceptionTypeAmbiguous

    public static final int ExceptionTypeAmbiguous

See Also:
  Constant Field Values

### ExceptionTypeInternalNameProvided

    public static final int ExceptionTypeInternalNameProvided

See Also:
  Constant Field Values

### ExceptionTypeInheritedNameHidesEnclosingName

    public static final int ExceptionTypeInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### ReturnTypeNotFound

    public static final int ReturnTypeNotFound

See Also:
  Constant Field Values

### ReturnTypeNotVisible

    public static final int ReturnTypeNotVisible

See Also:
  Constant Field Values

### ReturnTypeAmbiguous

    public static final int ReturnTypeAmbiguous

See Also:
  Constant Field Values

### ReturnTypeInternalNameProvided

    public static final int ReturnTypeInternalNameProvided

See Also:
  Constant Field Values

### ReturnTypeInheritedNameHidesEnclosingName

    public static final int ReturnTypeInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### ConflictingImport

    public static final int ConflictingImport

See Also:
  Constant Field Values

### DuplicateImport

    public static final int DuplicateImport

See Also:
  Constant Field Values

### CannotImportPackage

    public static final int CannotImportPackage

See Also:
  Constant Field Values

### UnusedImport

    public static final int UnusedImport

See Also:
  Constant Field Values

### ImportNotFound

    public static final int ImportNotFound

See Also:
  Constant Field Values

### ImportNotVisible

    public static final int ImportNotVisible

See Also:
  Constant Field Values

### ImportAmbiguous

    public static final int ImportAmbiguous

See Also:
  Constant Field Values

### ImportInternalNameProvided

    public static final int ImportInternalNameProvided

See Also:
  Constant Field Values

### ImportInheritedNameHidesEnclosingName

    public static final int ImportInheritedNameHidesEnclosingName

See Also:
  Constant Field Values

### DuplicateModifierForVariable

    public static final int DuplicateModifierForVariable

See Also:
  Constant Field Values

### IllegalModifierForVariable

    public static final int IllegalModifierForVariable

See Also:
  Constant Field Values

### AbstractMethodMustBeImplemented

    public static final int AbstractMethodMustBeImplemented

See Also:
  Constant Field Values

### FinalMethodCannotBeOverridden

    public static final int FinalMethodCannotBeOverridden

See Also:
  Constant Field Values

### IncompatibleExceptionInThrowsClause

    public static final int IncompatibleExceptionInThrowsClause

See Also:
  Constant Field Values

### IncompatibleExceptionInInheritedMethodThrowsClause

    public static final int IncompatibleExceptionInInheritedMethodThrowsClause

See Also:
  Constant Field Values

### IncompatibleReturnType

    public static final int IncompatibleReturnType

See Also:
  Constant Field Values

### InheritedMethodReducesVisibility

    public static final int InheritedMethodReducesVisibility

See Also:
  Constant Field Values

### CannotOverrideAStaticMethodWithAnInstanceMethod

    public static final int CannotOverrideAStaticMethodWithAnInstanceMethod

See Also:
  Constant Field Values

### CannotHideAnInstanceMethodWithAStaticMethod

    public static final int CannotHideAnInstanceMethodWithAStaticMethod

See Also:
  Constant Field Values

### StaticInheritedMethodConflicts

    public static final int StaticInheritedMethodConflicts

See Also:
  Constant Field Values

### MethodReducesVisibility

    public static final int MethodReducesVisibility

See Also:
  Constant Field Values

### OverridingNonVisibleMethod

    public static final int OverridingNonVisibleMethod

See Also:
  Constant Field Values

### AbstractMethodCannotBeOverridden

    public static final int AbstractMethodCannotBeOverridden

See Also:
  Constant Field Values

### OverridingDeprecatedMethod

    public static final int OverridingDeprecatedMethod

See Also:
  Constant Field Values

### IncompatibleReturnTypeForNonInheritedInterfaceMethod

    public static final int IncompatibleReturnTypeForNonInheritedInterfaceMethod

Since:
  2.1
See Also:
  Constant Field Values

### IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod

    public static final int IncompatibleExceptionInThrowsClauseForNonInheritedInterfaceMethod

Since:
  2.1
See Also:
  Constant Field Values

### CodeSnippetMissingClass

    public static final int CodeSnippetMissingClass

See Also:
  Constant Field Values

### CodeSnippetMissingMethod

    public static final int CodeSnippetMissingMethod

See Also:
  Constant Field Values

### NonExternalizedStringLiteral

    public static final int NonExternalizedStringLiteral

See Also:
  Constant Field Values

### CannotUseSuperInCodeSnippet

    public static final int CannotUseSuperInCodeSnippet

See Also:
  Constant Field Values

### TooManyConstantsInConstantPool

    public static final int TooManyConstantsInConstantPool

See Also:
  Constant Field Values

### TooManyBytesForStringConstant

    public static final int TooManyBytesForStringConstant

Since:
  2.1
See Also:
  Constant Field Values

### TooManyFields

    public static final int TooManyFields

Since:
  2.1
See Also:
  Constant Field Values

### TooManyMethods

    public static final int TooManyMethods

Since:
  2.1
See Also:
  Constant Field Values

### UseAssertAsAnIdentifier

    public static final int UseAssertAsAnIdentifier

See Also:
  Constant Field Values

### Task

    public static final int Task

Since:
  2.1
See Also:
  Constant Field Values

### UndocumentedEmptyBlock

    public static final int UndocumentedEmptyBlock

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUnexpectedTag

    public static final int JavadocUnexpectedTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissingParamTag

    public static final int JavadocMissingParamTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissingParamName

    public static final int JavadocMissingParamName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocDuplicateParamName

    public static final int JavadocDuplicateParamName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidParamName

    public static final int JavadocInvalidParamName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissingReturnTag

    public static final int JavadocMissingReturnTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocDuplicateReturnTag

    public static final int JavadocDuplicateReturnTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissingThrowsTag

    public static final int JavadocMissingThrowsTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissingThrowsClassName

    public static final int JavadocMissingThrowsClassName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidThrowsClass

    public static final int JavadocInvalidThrowsClass

Since:
  3.0
See Also:
  Constant Field Values

### JavadocDuplicateThrowsClassName

    public static final int JavadocDuplicateThrowsClassName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidThrowsClassName

    public static final int JavadocInvalidThrowsClassName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissingSeeReference

    public static final int JavadocMissingSeeReference

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidSeeReference

    public static final int JavadocInvalidSeeReference

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidSeeHref

    public static final int JavadocInvalidSeeHref

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidSeeArgs

    public static final int JavadocInvalidSeeArgs

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMissing

    public static final int JavadocMissing

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInvalidTag

    public static final int JavadocInvalidTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUndefinedField

    public static final int JavadocUndefinedField

Since:
  3.0
See Also:
  Constant Field Values

### JavadocNotVisibleField

    public static final int JavadocNotVisibleField

Since:
  3.0
See Also:
  Constant Field Values

### JavadocAmbiguousField

    public static final int JavadocAmbiguousField

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUsingDeprecatedField

    public static final int JavadocUsingDeprecatedField

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUndefinedConstructor

    public static final int JavadocUndefinedConstructor

Since:
  3.0
See Also:
  Constant Field Values

### JavadocNotVisibleConstructor

    public static final int JavadocNotVisibleConstructor

Since:
  3.0
See Also:
  Constant Field Values

### JavadocAmbiguousConstructor

    public static final int JavadocAmbiguousConstructor

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUsingDeprecatedConstructor

    public static final int JavadocUsingDeprecatedConstructor

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUndefinedMethod

    public static final int JavadocUndefinedMethod

Since:
  3.0
See Also:
  Constant Field Values

### JavadocNotVisibleMethod

    public static final int JavadocNotVisibleMethod

Since:
  3.0
See Also:
  Constant Field Values

### JavadocAmbiguousMethod

    public static final int JavadocAmbiguousMethod

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUsingDeprecatedMethod

    public static final int JavadocUsingDeprecatedMethod

Since:
  3.0
See Also:
  Constant Field Values

### JavadocNoMessageSendOnBaseType

    public static final int JavadocNoMessageSendOnBaseType

Since:
  3.0
See Also:
  Constant Field Values

### JavadocParameterMismatch

    public static final int JavadocParameterMismatch

Since:
  3.0
See Also:
  Constant Field Values

### JavadocNoMessageSendOnArrayType

    public static final int JavadocNoMessageSendOnArrayType

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUndefinedType

    public static final int JavadocUndefinedType

Since:
  3.0
See Also:
  Constant Field Values

### JavadocNotVisibleType

    public static final int JavadocNotVisibleType

Since:
  3.0
See Also:
  Constant Field Values

### JavadocAmbiguousType

    public static final int JavadocAmbiguousType

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUsingDeprecatedType

    public static final int JavadocUsingDeprecatedType

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInternalTypeNameProvided

    public static final int JavadocInternalTypeNameProvided

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInheritedMethodHidesEnclosingName

    public static final int JavadocInheritedMethodHidesEnclosingName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInheritedFieldHidesEnclosingName

    public static final int JavadocInheritedFieldHidesEnclosingName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocInheritedNameHidesEnclosingTypeName

    public static final int JavadocInheritedNameHidesEnclosingTypeName

Since:
  3.0
See Also:
  Constant Field Values

### JavadocAmbiguousMethodReference

    public static final int JavadocAmbiguousMethodReference

Since:
  3.0
See Also:
  Constant Field Values

### JavadocUnterminatedInlineTag

    public static final int JavadocUnterminatedInlineTag

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMalformedSeeReference

    public static final int JavadocMalformedSeeReference

Since:
  3.0
See Also:
  Constant Field Values

### JavadocMessagePrefix

    public static final int JavadocMessagePrefix

Since:
  3.0
See Also:
  Constant Field Values

Method Detail

### getArguments

    public String[] getArguments()

  Answer back the original arguments recorded into the problem.

  Returns:
    the original arguments recorded into the problem

### getID

    public int getID()

  Returns the problem id

  Returns:
    the problem id

### getMessage

    public String getMessage()

  Answer a localized, human-readable message string which describes the problem.

  Returns:
    a localized, human-readable message string which describes the problem

### getOriginatingFileName

    public char[] getOriginatingFileName()

  Answer the file name in which the problem was found.

  Returns:
    the file name in which the problem was found

### getSourceEnd

    public int getSourceEnd()

  Answer the end position of the problem (inclusive), or -1 if unknown.

  Returns:
    the end position of the problem (inclusive), or -1 if unknown

### getSourceLineNumber

    public int getSourceLineNumber()

  Answer the line number in source where the problem begins.

  Returns:
    the line number in source where the problem begins

### getSourceStart

    public int getSourceStart()

  Answer the start position of the problem (inclusive), or -1 if unknown.

  Returns:
    the start position of the problem (inclusive), or -1 if unknown

### isError

    public boolean isError()

  Checks the severity to see if the Error bit is set.

  Returns:
    true if the Error bit is set for the severity, false otherwise

### isWarning

    public boolean isWarning()

  Checks the severity to see if the Error bit is not set.

  Returns:
    true if the Error bit is not set for the severity, false otherwise

### setSourceEnd

    public void setSourceEnd(int sourceEnd)

  Set the end position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

  Parameters:
    `sourceEnd` - the given end position

### setSourceLineNumber

    public void setSourceLineNumber(int lineNumber)

  Set the line number in source where the problem begins.

  Parameters:
    `lineNumber` - the given line number

### setSourceStart

    public void setSourceStart(int sourceStart)

  Set the start position of the problem (inclusive), or -1 if unknown. Used for shifting problem positions.

  Parameters:
    `sourceStart` - the given start position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.